Data Structures | Defines | Typedefs | Variables

# tar_type.h File Reference

Structs, typedefs and macros used for TAR file handling. More...

`#include <map>`
`#include <string>`
`#include "fileio_type.h"`

Go to the source code of this file.

## Data Structures
struct | TarListEntry
| The define of a TarList. More...
struct | TarFileListEntry
## Defines
#define | FOR_ALL_TARS(tar, sd) for (tar = _tar_filelist[sd].begin(); tar != _tar_filelist[sd].end(); tar++)
## Typedefs
typedef std::map< std::string, TarListEntry > | TarList
typedef std::map< std::string, TarFileListEntry > | TarFileList
## Variables
TarList | _tar_list [NUM_SUBDIRS]
TarFileList | _tar_filelist [NUM_SUBDIRS]

## Detailed Description

Structs, typedefs and macros used for TAR file handling.

Definition in file tar_type.h.